2022-08-19 05:58 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003062FSSCPFREDpublic2022-06-10 20:55
ReporterMaslo66 
Assigned ToMjnMixael 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7 SP1OS VersionUltimate 64-bit
Product Version 
Target VersionFixed in Version22.0.0 
Summary0003062: Background modifications wont save after importing background in FRED
DescriptionIf I import background from EveOfDestructionRedux.fs2 from fsport\fsport-missions.vp and save the mission, I get two errors

First Error:
C:\Users\Ondro\Desktop\mission\test.fs2(line 146):
Error: Required token = [#Wings] or [$Name:], found [+new: GTC_Orff].

ntdll.dll! ZwWaitForSingleObject + 21 bytes
kernel32.dll! WaitForSingleObjectEx + 67 bytes
kernel32.dll! WaitForSingleObject + 18 bytes
fred2_open_3_7_2_RC3.exe! <no symbol>
fred2_open_3_7_2_RC3.exe! <no symbol>
fred2_open_3_7_2_RC3.exe! <no symbol>

Second Error:
C:\Users\Ondro\Desktop\mission\test.fs2(line 147):
Error: Required token = [#Wings] or [$Name:], found [+new: GTC_Orff].

ntdll.dll! ZwWaitForSingleObject + 21 bytes
kernel32.dll! WaitForSingleObjectEx + 67 bytes
kernel32.dll! WaitForSingleObject + 18 bytes
fred2_open_3_7_2_RC3.exe! <no symbol>
fred2_open_3_7_2_RC3.exe! <no symbol>
fred2_open_3_7_2_RC3.exe! <no symbol>

If I make any modifications to the background (adding Suns or nebulae), it wont save them (they disappear immidiately after the saving is done).
Steps To Reproduce1. Extract EveOfDestructionRedux.fs2 from fsport\fsport-missions.vp
2. Open FRED
3. Import background 1 from EveOfDestructionRedux.fs2
4. Save the mission (DEBUG build crashes here, regular build just shows the errors above)
5. Add Suns or nebulae
6. Save the mission (the additions disappear)
Additional InformationFRED2_OPEN v3.7.2 RC3

Mods:
FSPort MediaVPs v3.4 (including 2014-shp.tbm - Unofficial patch for FSPort MediaVPs to use with MediaVPs 2014)
FSPort v3.4
MediaVPs 2014
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015887

MageKing17 (developer)

This sounds like version-specific comments causing problems again.

~0017123

MjnMixael (manager)

tested this following the steps exactly. The background imported without errors or crashing and adding new background elements correctly saved. Attached both EveOfDestructionRedux and the mission I created with imported/modified background elements.

Seems like it's no longer an issue. Recommend closing.
+Notes

-Issue History
Date Modified Username Field Change
2014-06-16 06:14 Maslo66 New Issue
2014-06-16 06:14 Maslo66 File Added: fred2_open.log
2014-06-16 17:12 niffiwan Project wxFRED => FSSCP
2014-06-16 18:16 MageKing17 Note Added: 0015887
2014-06-16 18:16 MageKing17 Category => FRED
2022-06-10 14:41 MjnMixael File Added: EveOfDestructionRedux.fs2
2022-06-10 14:43 MjnMixael File Added: BackgroundTest.fs2
2022-06-10 14:43 MjnMixael Note Added: 0017123
2022-06-10 14:57 z64555 Assigned To => MjnMixael
2022-06-10 14:57 z64555 Status new => closed
2022-06-10 14:57 z64555 Resolution open => fixed
2022-06-10 14:57 z64555 Fixed in Version => 22.0.0
2022-06-10 20:55 Goober5000 Status closed => resolved
+Issue History